<script>
	import { onMount, onDestroy } from 'svelte';
	import { browser } from '$app/environment';

	let mapElement;
	let map;

	onMount(async () => {
		if (browser) {
			const leaflet = await import('leaflet');

			map = leaflet.map(mapElement).setView([48.9, 6.3833], 13);

			leaflet.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {}).addTo(map);

			leaflet.marker([48.9, 6.3833]).addTo(map).bindPopup('Xocourt').openPopup();
		}
	});

	onDestroy(async () => {
		if (map) {
			console.log('Unloading Leaflet map.');
			map.remove();
		}
	});
</script>

<main class="h-full rounded-lg">
	<div class="rounded-xl small-map md:medium-map lg:big-map" bind:this={mapElement} />
</main>

<style>
	@import 'leaflet/dist/leaflet.css';
</style>
